package com.mx.dla.dda.contrato.titulo.constants;

import com.mx.dla.dda.catalogos.dtos.Catalogable;

public enum TipoCargaDocumento implements Catalogable {
	NUEVA("N","Crear nueva lista de titulos "),
	ANEXAR("A","Anexar titulos a la lista"),
	COSTOS("C","Actualizar Costos"),
	REEMPLAZAR("R","Reemplazar lista actual"),
	;

	private String value;
	private String desc;
	
	private TipoCargaDocumento(String value, String desc)
	{
		this.value= value;
		this.desc = desc;
	}
	
	@Override
	public String getValue() {
		return this.value;
	}

	@Override
	public String getDesc() {
		return this.desc;
	}

	public static TipoCargaDocumento parse(String val)
	{
		TipoCargaDocumento [] values = TipoCargaDocumento.values();
		TipoCargaDocumento target = null;
		for(TipoCargaDocumento t : values)
		{
			if(t.getValue().equals(val))
			{
				target = t;
				break;
			}
		}
		return target;
		
	}
}
